Xerces-C++: MemBufFormatTarget Class Reference

Xerces-C++ 3.3.0

List of all members
MemBufFormatTarget Class Reference

`#include <xercesc/framework/MemBufFormatTarget.hpp>`

Inheritance diagram for MemBufFormatTarget:

## Public Member Functions
constructors and destructor
| MemBufFormatTarget (XMLSize_t initCapacity=1023, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| ~MemBufFormatTarget ()
virtual void | writeChars (const XMLByte *const toWrite, const XMLSize_t count, XMLFormatter *const formatter)
getRawBuffer
const XMLByte * | getRawBuffer () const
| Returned the internal raw buffer.
getLen
XMLSize_t | getLen () const
| Returned the length of the raw buffer.
Public Member Functions inherited from XMLFormatTarget
virtual | ~XMLFormatTarget ()
virtual void | flush ()
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new.
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation.
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new.
void | operator delete (void *p)
| This method overrides operator delete.
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new.
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new.

## reset
void | reset ()
| Reset the internal string buffer.

## Additional Inherited Members
Protected Member Functions inherited from XMLFormatTarget
| XMLFormatTarget ()
Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor.

## Constructor & Destructor Documentation

## ◆ MemBufFormatTarget()

MemBufFormatTarget::MemBufFormatTarget | ( | XMLSize_t | initCapacity = 1023,
|  | MemoryManager *const | manager = XMLPlatformUtils::fgMemoryManager )

## ◆ ~MemBufFormatTarget()

MemBufFormatTarget::~MemBufFormatTarget | ( |  | ) |

## Member Function Documentation

## ◆ getLen()

XMLSize_t MemBufFormatTarget::getLen | ( |  | ) | const

Returned the length of the raw buffer.

## ◆ getRawBuffer()

const XMLByte * MemBufFormatTarget::getRawBuffer | ( |  | ) | const

Returned the internal raw buffer.

## ◆ reset()

void MemBufFormatTarget::reset | ( |  | ) |

Reset the internal string buffer.

## ◆ writeChars()

virtual void MemBufFormatTarget::writeChars | ( | const XMLByte *const | toWrite,
|  | const XMLSize_t | count,
|  | XMLFormatter *const | formatter )
| virtual

Implements XMLFormatTarget.

The documentation for this class was generated from the following file:

- MemBufFormatTarget.hpp